Subject: [bug#66099] [PATCH gnome-team v7 0/5] Update eudev with a snippet, udev-service-type, upower

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 05 Oct 2023 07:54:37 +0200

Am Donnerstag, dem 05.10.2023 um 07:04 +0200 schrieb Vivien Kraus:
> Le jeudi 05 octobre 2023 à 06:50 +0200, Liliana Marie Prikler a écrit
> :
> > Am Dienstag, dem 19.09.2023 um 13:23 +0200 schrieb Vivien Kraus:
> > > Eudev has significant improvements from 3.2.12, but they are not
> > > released yet. The package version number has already been bumped
> > > to
> > > 3.2.14, but since it is not released yet, the version number is
> > > downgraded to 3.2.12.
> > Smaller nitpick: I think "we still advertise it as 3.2.12" is
> > better wording here.  Downgrade would imho imply a removal of
> > functionality which is not happening here.
> 
> OK.
> 
> > > * gnu/packages/linux.scm (eudev): Update to a post-v3.2.12
> > > commit.
> > > [#:phases] <allow-eudev-hwdb>: New phase.
> > > <install-in-lib>: New phase.
> > > <build-hwdb>: Remove phase.
> > > [#:configure-flags]: Set sysconfdir to avoid a prefix.
> > > [native-search-paths]: Add UDEV_HWDB_PATH.
> > > * gnu/packages/patches/eudev-set-version-to-3.2.12.patch: New
> > > file.
> > You might want to express this one with a snippet and an explicit
> > comment to remove it once a release version is used.
> 
> I thougḥt the patch would be more useful as it would then fail to
> apply, but I understand the updater could be unsure whether to remove
> or rebase the patch. A snippet + comment is more explicit.
Sorry for taking my time on the 3/5, had breakfast :(

> Everything that eudev searches in "sysconf" (/etc/udev/*) is actually
> searched under its installation prefix. The udev-service-type however
> prepares every file in /etc/udev, without a prefix.
Is this a correct statement?  I would assume not.

Cheers